### Method

# Gio File measure_disk_usage_async

since: 2.38

#### Declaration [src]

    void
    g_file_measure_disk_usage_async (
      GFile* file,
      GFileMeasureFlags flags,
      gint io_priority,
      GCancellable* cancellable,
      GFileMeasureProgressCallback progress_callback,
      gpointer progress_data,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Recursively measures the disk usage of `file`.

This is the asynchronous version of g_file_measure_disk_usage(). See there for more information.

Available since: 2.38

This method completes asynchronously. Use `g_file_measure_disk_usage_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

This method is not directly available to language bindings.

#### Parameters

`flags`

  Type: `GFileMeasureFlags`

  `GFileMeasureFlags`.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback`

  Type: `GFileMeasureProgressCallback`

  A `GFileMeasureProgressCallback`.

  The argument can be `NULL`.

`progress_data`

  Type: `gpointer`

  User_data for `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.